/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ag.web.edi;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;

/**
 * 
 * @author Administrator
 */
public class MessageRouteLog implements Serializable {
	private static final long serialVersionUID = 1L;
	private String mrlLogId;
	private String messageBatchNo;
	private String mrlMessageTypeCod;
	private String mrlMessageStandCod;
	private String mrlSendCod;
	private String mrlReceiveCod;
	private String mrlSourceNam;
	private Long mrlSize;
	private String description;
	private String insAccount;
	private Date insTimestamp;
	private String updAccount;
	private Date updTimestamp;
	private String tenantId;
	private Collection<ELogError> eLogErrorCollection;

	private String mrSrId;

	private String mrlTaskTyp;

	private Long mrlSizeSend;

	private String mrlSendFileName;

	public String getMrlTaskTyp() {
		return mrlTaskTyp;
	}

	public void setMrlTaskTyp(String mrlTaskTyp) {
		this.mrlTaskTyp = mrlTaskTyp;
	}

	public String getMrSrId() {
		return mrSrId;
	}

	public void setMrSrId(String mrSrId) {
		this.mrSrId = mrSrId;
	}

	public MessageRouteLog() {
	}

	public MessageRouteLog(String mrlLogId) {
		this.mrlLogId = mrlLogId;
	}

	public MessageRouteLog(String mrlLogId, String mrlMessageTypeCod, String insAccount, Date insTimestamp, String tenantId) {
		this.mrlLogId = mrlLogId;
		this.mrlMessageTypeCod = mrlMessageTypeCod;
		this.insAccount = insAccount;
		this.insTimestamp = insTimestamp;
		this.tenantId = tenantId;
	}

	public String getMrlLogId() {
		return mrlLogId;
	}

	public void setMrlLogId(String mrlLogId) {
		this.mrlLogId = mrlLogId;
	}

	public String getMessageBatchNo() {
		return messageBatchNo;
	}

	public void setMessageBatchNo(String messageBatchNo) {
		this.messageBatchNo = messageBatchNo;
	}

	public String getMrlMessageTypeCod() {
		return mrlMessageTypeCod;
	}

	public void setMrlMessageTypeCod(String mrlMessageTypeCod) {
		this.mrlMessageTypeCod = mrlMessageTypeCod;
	}

	public String getMrlMessageStandCod() {
		return mrlMessageStandCod;
	}

	public void setMrlMessageStandCod(String mrlMessageStandCod) {
		this.mrlMessageStandCod = mrlMessageStandCod;
	}

	public String getMrlSendCod() {
		return mrlSendCod;
	}

	public void setMrlSendCod(String mrlSendCod) {
		this.mrlSendCod = mrlSendCod;
	}

	public String getMrlReceiveCod() {
		return mrlReceiveCod;
	}

	public void setMrlReceiveCod(String mrlReceiveCod) {
		this.mrlReceiveCod = mrlReceiveCod;
	}

	public String getMrlSourceNam() {
		return mrlSourceNam;
	}

	public void setMrlSourceNam(String mrlSourceNam) {
		this.mrlSourceNam = mrlSourceNam;
	}

	public Long getMrlSize() {
		return mrlSize;
	}

	public void setMrlSize(Long mrlSize) {
		this.mrlSize = mrlSize;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getInsAccount() {
		return insAccount;
	}

	public void setInsAccount(String insAccount) {
		this.insAccount = insAccount;
	}

	public Date getInsTimestamp() {
		return insTimestamp;
	}

	public void setInsTimestamp(Date insTimestamp) {
		this.insTimestamp = insTimestamp;
	}

	public String getUpdAccount() {
		return updAccount;
	}

	public void setUpdAccount(String updAccount) {
		this.updAccount = updAccount;
	}

	public Date getUpdTimestamp() {
		return updTimestamp;
	}

	public void setUpdTimestamp(Date updTimestamp) {
		this.updTimestamp = updTimestamp;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Long getMrlSizeSend() {
		return mrlSizeSend;
	}

	public void setMrlSizeSend(Long mrlSizeSend) {
		this.mrlSizeSend = mrlSizeSend;
	}

	public String getMrlSendFileName() {
		return mrlSendFileName;
	}

	public void setMrlSendFileName(String mrlSendFileName) {
		this.mrlSendFileName = mrlSendFileName;
	}

	public Collection<ELogError> getELogErrorCollection() {
		return eLogErrorCollection;
	}

	public void setELogErrorCollection(Collection<ELogError> eLogErrorCollection) {
		this.eLogErrorCollection = eLogErrorCollection;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (mrlLogId != null ? mrlLogId.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof MessageRouteLog)) {
			return false;
		}
		MessageRouteLog other = (MessageRouteLog) object;
		if ((this.mrlLogId == null && other.mrlLogId != null) || (this.mrlLogId != null && !this.mrlLogId.equals(other.mrlLogId))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "net.huadong.edi.log.domain.MessageRouteLog[ mrlLogId=" + mrlLogId + " ]";
	}

}
